I had the same problem. After much searching, I found that this fixed it.

Run terminal and enter the following two commands

sudo apt-get install dkms build-essential linux-headers-generic
...